:root {
  color-scheme: light dark;
}
html { 	--bg-page: #fff7f3;
 	--bg-dark: #ffe;
 	--bg-subtle: #ddd;
 	--fg: #111;
 	--hl: #d20000;
 	--fg-subtle: #111;
 	--fg-limited: #aaa2a0;
}

html {
	/*honk*/
 	--bg-page: #306;
 	--bg-dark: #002;
 	--bg-subtle: #306;
 	--fg: #dcf;
 	--hl: #dcf;
 	--fg-subtle: #a9c;
 	--fg-limited: #a79;
	background:var(--bg-page);
	
/*pleroma	--bg-page: #192734;
	--bg-dark: #15202B;
	--fg: #FFF;
	--hl: #556;
	--fg-subtle: rgba(185, 185, 186, 0.8);*/
/*pleroma	--bg-page: #192734;
	--bg-dark: #15202B;
	--fg: #FFF;
	--hl: #556;
	--fg-subtle: rgba(185, 185, 186, 0.8);*/
/*blue	--fg: #FEF6E4;--bg-dark: rgba(0,0,0,0.2); --bg-page:#104E8B;--hl:rgba(0,0,0,0.2);--accent:#F582AE;--fg-limited:#F582AE;--fg-subtle:rgba(254,246,228, 0.7);*/
	padding:3em 1em;
}


body {
	background: var(--bg-page);
	color: var(--fg);
	word-wrap: break-word;
	font-family: -apple-system,blinkmacsystemfont, "Helvetica Neue", "Helvetica", "Segoe UI", roboto, oxygen-sans, ubuntu, cantarell, sans-serif;
	text-rendering: optimizeLegibility;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	font-size: 1.2rem;
	line-height: 1.6rem;
	overscroll-behavior-y: contain;
	max-width:70em; margin: 0 auto;
	margin-left:60px;
}

pre, code {
	white-space: pre-wrap;
}
blockquote {
	margin-left: 0em;
	padding-left: 0.5em;
	border-left: 1px solid var(--fg-subtle);
}
blockquote cite {
	margin-left: 2em;
}
table {
	display: block;
	max-width: 100%;
	overflow-x: auto;
}
p {
	margin-top: 1em;
	margin-bottom: 1em;
}
input {
	background: var(--bg-page);
	color: var(--fg);
	font-size: 1.0em;
	line-height: 1.2em;
	padding: 0.4em;
}
#honkform input {
	font-size: 0.8em;
}

body > header {
	color: var(--fg);
	max-width:640px;
}

.mast{position:absolute;top:10px;left:70px;margin:0 auto;display:flex;align-items:center;gap:1rem;}
.mast img{width:80%;border-radius:50%;}
.mast p{flex:1 auto;font-weight:bold;}


body > header ul {
	list-style: none;
	margin: 0;
	padding: 0;
}

a{color:var(--fg);}
body > header a{color:var(--fg);}
body > header a:hover {
	color:var(--hl);
}

main {
	margin: auto;
}
hr {
	border-color: var(--hl);
}
.info {
	margin: 0 auto;
	max-width: 1000px;
	background: var(--bg-dark);
	border: 1px solid var(--bg-subtle);
	margin-bottom: 1em;
	padding: 0em 1em 0em 1em;
}
.info div {
	margin-top: 1em;
	margin-bottom: 1em;
}
label {
	font-size: 0.8em;
}
label.button, button, select {
	font-size: 16px;
	color: var(--fg);
	background: var(--bg-page);
	border: 1px solid var(--bg-subtle);
	padding: 0.5em;
	white-space: nowrap;
}
button.yeet {
	background: var(--hl)!important;
	font-weight: bold;
	color: var(--bg-page);
}
.buttonarray {
	margin-top: -2.0em;
}
.buttonarray button, .buttonarray > span {
	margin-top: 2.0em;
	display: inline-block;
}
button a {
	text-decoration: none;
}
form {
	margin-top: 1em;
}
textarea {
	font-family: -apple-system,blinkmacsystemfont, "Helvetica Neue", "Helvetica", "Segoe UI", roboto, oxygen-sans, ubuntu, cantarell, sans-serif;
	padding: 0.5em;
	font-size: 1em;
	background: var(--bg-page);
	color: var(--fg);
	width: 100%;
	height: 4em;
	margin-bottom: 0.5em;
	box-sizing: border-box;
	max-width: 100%;
	border: solid 1px var(--fg-subtle);
}
textarea#honknoise {
	height: 10em;
}
input[type="checkbox"] {
	position: fixed;
	top: -9999px;
}
input[type="checkbox"] + span:after {
	content: "no";
}
input[type="checkbox"]:checked + span:after {
	content: "yes";
}
input[type="checkbox"]:focus + span:after {
	outline: 1px solid var(--fg);
}
input[type=file] {
	display: none;
}

.glow {
	box-shadow: 0px 0px 16px var(--bg-subtle);
}

.honk {
	max-width:1000px; 
	margin: auto;
	background: var(--bg-dark);
	border: 1px solid var(--bg-subtle);
	margin-bottom: 1em;
	overflow: hidden;
	padding:0 1rem;
}


.chat {
	border-bottom: 0.5px solid var(--fg-subtle);
	padding-left: 1em;
}
.chat p {
	margin-top: 0.2em;
	margin-bottom: 0.2em;
}
.chattarget {
	border-bottom: 1px solid var(--fg-subtle);
}
.chatstamp {
	margin-left: -1em;
}

.honk	a {
		color: var(--fg);
	}
.honk	header {
		text-overflow: ellipsis;
		overflow:hidden;
		font-size: 0.8em;
		line-height: 1.1;
		/*background:var(--fg);
		color:var(--bg-dark);keep header styling as .honk for now*/
		margin: 0 -1rem;
		padding: 0 0rem;
		display:flex;
		justify-content:space-between;
		border-bottom:solid 1px var(--bg-subtle);
	}
	.honk header ul{list-style:none;padding:0;width:100%;}
/*.honk header a{color:var(--bg-dark);}*/

.honk	header	.clip a {
			color: var(--fg-subtle);
		}
.honk	header	img {
			float: left;
			margin-right: 1em;
			width: 47px;
			height: 47px;
			border-radius:5%;
		}
.honk	header	p {
			margin-top: 0px;
		}
.honk button{border:none;height:50px;background:(255,255,255,255,0.3);cursor:pointer;transition:0.3s;margin-right:0.5rem;}
.honk button:hover{background:rgba(128,128,128,0.3);}
.honk	.noise, {
		line-height: 1.4;
	}
	.honk details{margin:1em 0;}

.honk	.noise	code .kw { font-weight: bold; }
.honk	.noise	code .bi { font-weight: bold; }
.honk	.noise	code .st { color: var(--fg-subtle); }
.honk	.noise	code .nm { color: #ba88ff; }
.honk	.noise	code .op { color: #ba88ff; }
.honk	.noise	code .tp { font-weight: bold; }
.honk	.noise	code .cm { color: var(--fg-subtle); font-style: italic; }
.honk	.noise	code .al { color: #aaffbb; }
.honk	.noise	code .dl { color: #ffaabb; }

.subtle .noise {
		color: var(--fg-subtle);
		font-size: 0.8em;
}
.subtle .noise a {
		color: var(--fg-subtle);
}
.limited {
	border: 1px solid var(--fg-limited);
	color: var(--fg-limited);
	
}
.limited	.glow {
		box-shadow: 0px 0px 16px var(--fg-limited);
}
.limited	.noise {
		color: var(--fg-limited);
	}
.limited	.noise a {
		color: var(--fg-limited);
	}
.limited	details.actions summary {
		color: var(--fg-limited);
	}
details.noise summary {
	font-weight:bold;
}
h1, h2 {
	font-size: 1.2em;
}
h3, h4 {
	font-size: 1.1em;
}

img:not(.emu) {
/*	background: var(--bg-page);*/
}
img, video {
	max-width: 100%;
	max-height: 600px;
}
.noise img:not(.emu) {
	display: block;
}
img.emu {
	width: 2em;
	height: 2em;
	vertical-align: middle;
	margin: -2px;
	object-fit: contain;
}
.honkerlink{font-weight:bold;}
.honk header svg{height:1rem;}
.honk header ul{padding:10px;margin:0;}
#sidenav{position:fixed;top:0;left:0;height:calc(100% - 6rem);width:60px;background:var(--bg-dark);display:flex;flex-direction:column;justify-content:space-between;padding:3rem 0;text-align:center;font-size:0.7rem;}
#sidenav a{color:var(--fg);transition:0.3s;padding:10px;display:flex;justify-content:center;align-items:center;}
#sidenav a:hover{background:rgba(128,128,128,0.3);}
#sidenav img{margin:10px;border-radius:50%;}
.search{width:calc(100% - 1em);border:solid 1px var(--fg-subtle);color:var(--fg-subtle);}
.search::placeholder{color:var(--fg-subtle);opacity:1;}
input:focus,textarea:focus{outline-color:var(--fg-subtle);outline-style:solid;outline-width:thick;}
.honk	#honkform {
		padding: 1em;
		border: 1px solid var(--fg);
}
.honk #honkform button{height:auto;width:auto;background:var(--bg-page);border-radius:0;cursor:pointer;transition:0.3s;}
#emupicker{height:300px;overflow-y:scroll;padding:3px;background:var(--bg-dark);border:solid 5px var(--fg-subtle);text-align:center;display:none;}
#emupicker img{margin:0;}
.emuload{background:var(--bg-page);padding:0.5em;}
details{margin-bottom:1em;}
@media screen and (max-width:900px){
html,body{padding:0;background:var(--bg-dark);font-size:1rem;-webkit-text-size-adjust:100%;}
.info,.limited,.honk{border:none;margin:0;}
.honk{border-top:solid 5px var(--bg-page);margin:0;}
#refreshbox{padding-bottom:1em;}
#refreshbox p{margin:0;}
}
@media print {
	#topmenu, #topspacer, #infobox, #refreshbox, .actions {
		display: none;
	}
	html {
		--bg-page: white;
		--bg-dark: white;
		--fg: black;
		--fg-subtle: black;
		--fg-limited: #a79;
	}
}
